VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT:
[legend]

## Public Member Functions

| operator VkMultisamplePropertiesEXT const & () const
| operator VkMultisamplePropertiesEXT & ()
bool | operator== (MultisamplePropertiesEXT const &rhs) const
bool | operator!= (MultisamplePropertiesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
Extent2D | maxSampleLocationGridSize

## Private Attributes

StructureType | sType = StructureType::eMultisamplePropertiesEXT

## Detailed Description

Definition at line 16702 of file vulkan.hpp.

## Member Function Documentation

## operator VkMultisamplePropertiesEXT &()

VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::operator VkMultisamplePropertiesEXT & | ( |  | ) |

inline

Definition at line 16709 of file vulkan.hpp.

{
return *reinterpret_cast<VkMultisamplePropertiesEXT*>(this);
}

## operator VkMultisamplePropertiesEXT const &()

VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::operator VkMultisamplePropertiesEXT const & | ( |  | ) | const

inline

Definition at line 16704 of file vulkan.hpp.

{
return *reinterpret_cast<const VkMultisamplePropertiesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::operator!= | ( | MultisamplePropertiesEXT const & | rhs | ) | const

inline

Definition at line 16721 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::operator== | ( | MultisamplePropertiesEXT const & | rhs | ) | const

inline

Definition at line 16714 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( maxSampleLocationGridSize == rhs.maxSampleLocationGridSize );
}

References maxSampleLocationGridSize, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## maxSampleLocationGridSize

Extent2D VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::maxSampleLocationGridSize

Definition at line 16731 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::pNext = nullptr

Definition at line 16730 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::sType = StructureType::eMultisamplePropertiesEXT

private

Definition at line 16727 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::operator==
bool operator==(MultisamplePropertiesEXT const &rhs) const
Definition: vulkan.hpp:16714
VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::maxSampleLocationGridSize
Extent2D maxSampleLocationGridSize
Definition: vulkan.hpp:16731
VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::sType
StructureType sType
Definition: vulkan.hpp:16727
VkMultisamplePropertiesEXT
Definition: vulkan_core.h:7674
VULKAN_HPP_NAMESPACE::MultisamplePropertiesEXT::pNext
void * pNext
Definition: vulkan.hpp:16730